unit Main;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
     Buttons, ExtCtrls, ShellAPI, MELabel;

type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    Copyright: TLabel;
    Label2: TLabel;
    Label1: TLabel;
    Memo1: TMemo;
    Label3: TLabel;
    procedure MELabel1Click(Sender: TObject);
    procedure MELabel2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutBox: TAboutBox;

implementation

{$R *.DFM}

const
   crHandCursor = 5;

procedure TAboutBox.FormCreate(Sender: TObject);
begin
   with TMELabel.Create(self) do begin
      Parent := Panel1;
      Top := 96;
      Left := 100;
      Cursor := crHandPoint;
      MEFont.Color := clBlue;
      Caption := 'http://didier.cabale.free.fr';
      OnClick := MELabel1Click;
   end;
   with TMELabel.Create(self) do begin
      Parent := Panel1;
      Top := 112;
      Left := 100;
      Cursor := crHandPoint;
      MEFont.Color := clBlue;
      Caption := 'didier.cabale+delphi@gmail.com';
      OnClick := MELabel2Click;
   end;
end;

procedure TAboutBox.MELabel1Click(Sender: TObject);
begin
     ShellExecute(Application.Handle, nil, PChar('http://didier.cabale.free.fr'), nil,
       nil, SW_SHOWNOACTIVATE);
end;

procedure TAboutBox.MELabel2Click(Sender: TObject);
begin
     ShellExecute(Application.Handle, nil, PChar('mailto:didier.cabale+delphi@gmail.com'), nil,
       nil, SW_SHOWNOACTIVATE);
end;

end.
 
